cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration

## Class ADT_A37

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration.ADT_A37

-     public final class ADT_A37
      extends Message

  ADT_A37 - Unlink Patient Information (Event A37) This event is use to unlinks two patient identifiers.

  Represents a ADT_A37 message structure (see chapter 3.2.37). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: EVN (Event Type Segment)
  4: Patient Identification 1 Group (a Group of segments in ADT_A37 message)
  5: Patient Identification 2 Group (a Group of segments in ADT_A37 message)
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  ADT_A37 objA37 = (ADT_A37)MessageFactory.createInstance().createSendSupportedMessage("ADT", "A37");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `EVN` | `getEventTypeSegment()` Retrieves Event Type(EVN) segment present in this message
    `IGroup` | `getPatientIdentification1Group()` Retrieves Patient1 Identification Group present in this message
    `IGroup` | `getPatientIdentification2Group()` Retrieves Patient2 Identification Group present in this message
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setEventTypeSegment(EVN objEVN)` Sets value of Event Type segment for this message,overwrites if already present.
    `void` | `setPatientIdentification1Group(IGroup objGroup)` Sets value of Patient1 Identification Group for this message,overwrites if already present.
    `void` | `setPatientIdentification2Group(IGroup objGroup)` Sets value of Patient2 Identification Group for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT)to be added in message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getEventTypeSegment

          public EVN getEventTypeSegment()

      Retrieves Event Type(EVN) segment present in this message
      Returns:
        EVN - EVN Segment

    - #### setEventTypeSegment

          public void setEventTypeSegment(EVN objEVN)

      Sets value of Event Type segment for this message,overwrites if already present.
      Parameters:
        `objEVN` - Specified EVN Segment

    - #### getPatientIdentification1Group

          public IGroup getPatientIdentification1Group()

      Retrieves Patient1 Identification Group present in this message
      Returns:
        Group - Patient1 Identification Group

    - #### setPatientIdentification1Group

          public void setPatientIdentification1Group(IGroup objGroup)

      Sets value of Patient1 Identification Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified Patient1 Identification Group

    - #### getPatientIdentification2Group

          public IGroup getPatientIdentification2Group()

      Retrieves Patient2 Identification Group present in this message
      Returns:
        Group - Patient2 Identification Group

    - #### setPatientIdentification2Group

          public void setPatientIdentification2Group(IGroup objGroup)

      Sets value of Patient2 Identification Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified Patient2 Identification Group